<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Acticity A</title>
</head>
<body>
    <p><i>Science and Engineering Ethics (2001) 7, 231-238</i></p>
    <hr>
    <h1>Software Engineering Code of Ethics and Professional Practice </h1>
    <h3>IEE-CS/ACM Joint Task Force on Software Engineering Ethics and Professional Practices</h3>
    <hr>
    <p><strong>Keywords:</strong> code of ethics, professional responsibility, software engineering</p>
    <h3>PREAMBLE</h3>
    <p>The short version of the code summarizes aspirations at a high level of abstraction. The clauses that are included in the full version give exampls and details of how these aspirations change the way we act as software engineering professionals. Without the aspirations, the details can become legalistic aspirations and the details form a cohesive code 
        <br><br>
    Software engineers shall commit themselves to making the analysis, specification, design, development, testing and maintenance of software a beneficial and respected profession. In accordance with their commitmwent to the health, safety, and welfare of the public, software engineers shall adhere to the following eight Principles:</p>

    <h3>PRINCIPLES</h3>
    <ol>
        <li><i>Public.</i> Software engineers shall act consistently with the public interest.</li>

        <li><i>Client and employer</i> Software engineers shall act in a manner that is in the best interest of their client and employer, consistent with the public interest.</li>

        <li><i>Product.</i> Software engineers shall ensure that their products and related modifications meet the highest professional standard possible.</li>

        <li><i>Judgement.</i> Software engineers shall act consistently with the public interest.</li>

        <li><i>Management.</i> Software engineers managers and leaders shall subscribe to and promote an ethical approach to the management of software development and maintenance.</li>

        <li><i>Profession.</i> Software engineers shall advance the integrity and reputation of the profession consistent with the public interest.</li>

        <li><i>Colleagues.</i> Software engineers be fair to and supportive of their colleagues</li>

        <li><i>Self.</i> Software engineers shall participate in a life long learning regarding the practice of their profession and shall promote an ethical approach to the practice of the profession. </li>

    </ol>
</body>
</html>